/* Parallel Hierarchical Grid -- an adaptive finite element library.
 *
 * Copyright (C) 2005-2007 State Key Laboratory of Scientific and
 * Engineering Computing, Chinese Academy of Sciences. */

/* This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA  02110-1301  USA */

/* $Id: distribute.c,v 1.78 2007/03/14 02:08:39 zlb Exp $ */

#include "phg.h"

void phgPartitionGrid(GRID *g) {(void)g;}
void phgRedistributeGrid(GRID *g) {(void)g;}

int
phgBalanceGrid(GRID *g, FLOAT lif_threshold, INT submesh_threshold,
			DOF *wgts, FLOAT pwr)
/* returns 0 if grid unchanged, !0 if mesh partitioned or redistributed.
 *
 * 'lif_threshold' is the minimum LIF for redistributing the mesh,
 * used to control when to redistribute the mesh.
 *
 * 'submesh_threshold' gives minimum number of elements in each submesh,
 * used to control the number of submeshes.
 *
 * 'wgts' is a P0-type DOF providing element weights, the real weights
 * used is 'wgts' to the power 'pwr'.
 */
{
    Unused(lif_threshold);
    Unused(submesh_threshold);
    Unused(wgts);
    Unused(pwr);

    return 0;
}
